org.richfaces.component

## Class UIModalPanel

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.richfaces.component.UIModalPanel

- All Implemented Interfaces:
    javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder
  Direct Known Subclasses:
    HtmlModalPanel

      public abstract class UIModalPanel
      extends javax.faces.component.UIInput

  JSF component class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIModalPanel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getDomElementAttachment()`
    `abstract int` | `getHeight()`
    `abstract java.lang.String` | `getLeft()`
    `abstract int` | `getMinHeight()`
    `abstract int` | `getMinWidth()`
    `boolean` | `getRendersChildren()`
    `java.lang.String` | `getShadowStyle()`
    `abstract java.lang.String` | `getTop()`
    `abstract java.lang.String` | `getTridentIVEngineSelectBehavior()`
    `java.lang.Object` | `getVisualOptions()`
    `abstract int` | `getWidth()`
    `abstract int` | `getZindex()`
    `abstract boolean` | `isAutosized()`
    `abstract boolean` | `isKeepVisualState()`
    `abstract boolean` | `isMoveable()`
    `abstract boolean` | `isOverlapEmbedObjects()`
    `boolean` | `isResizeable()` if "true" there is possibility to change component size Getter for resizeable
    `abstract boolean` | `isShowWhenRendered()`
    `abstract boolean` | `isTrimOverlayedElements()`
    `protected java.util.Map<java.lang.String,java.lang.Object>` | `prepareVisualOptions(java.lang.Object value)`
    `abstract void` | `setAutosized(boolean autosized)`
    `abstract void` | `setDomElementAttachment(java.lang.String domElementAttachment)`
    `abstract void` | `setHeight(int height)`
    `abstract void` | `setKeepVisualState(boolean keepVisualState)`
    `abstract void` | `setLeft(java.lang.String left)`
    `abstract void` | `setMinHeight(int height)`
    `abstract void` | `setMinWidth(int width)`
    `abstract void` | `setMoveable(boolean moveable)`
    `abstract void` | `setOverlapEmbedObjects(boolean overlapEmbedObjects)`
    `void` | `setResizeable(boolean __resizeable)` if "true" there is possibility to change component size Setter for resizeable
    `abstract void` | `setShowWhenRendered(boolean opened)`
    `abstract void` | `setTop(java.lang.String top)`
    `abstract void` | `setTridentIVEngineSelectBehavior(java.lang.String tridentIVEngineSelectBehavior)`
    `abstract void` | `setTrimOverlayedElements(boolean trim)`
    `void` | `setVisualOptions(java.lang.Object visualOptions)`
    `abstract void` | `setWidth(int width)`
    `abstract void` | `setZindex(int zindex)`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getConverterMessage, getFamily, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, getValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIModalPanel

          public UIModalPanel()

  - ### Method Detail

    - #### getWidth

          public abstract int getWidth()

    - #### getHeight

          public abstract int getHeight()

    - #### setWidth

          public abstract void setWidth(int width)

    - #### setHeight

          public abstract void setHeight(int height)

    - #### getMinWidth

          public abstract int getMinWidth()

    - #### getMinHeight

          public abstract int getMinHeight()

    - #### setMinWidth

          public abstract void setMinWidth(int width)

    - #### setMinHeight

          public abstract void setMinHeight(int height)

    - #### isMoveable

          public abstract boolean isMoveable()

    - #### isAutosized

          public abstract boolean isAutosized()

    - #### setMoveable

          public abstract void setMoveable(boolean moveable)

    - #### setAutosized

          public abstract void setAutosized(boolean autosized)

    - #### getLeft

          public abstract java.lang.String getLeft()

    - #### getTop

          public abstract java.lang.String getTop()

    - #### setLeft

          public abstract void setLeft(java.lang.String left)

    - #### setTop

          public abstract void setTop(java.lang.String top)

    - #### getZindex

          public abstract int getZindex()

    - #### setZindex

          public abstract void setZindex(int zindex)

    - #### isShowWhenRendered

          public abstract boolean isShowWhenRendered()

    - #### setShowWhenRendered

          public abstract void setShowWhenRendered(boolean opened)

    - #### isKeepVisualState

          public abstract boolean isKeepVisualState()

    - #### setKeepVisualState

          public abstract void setKeepVisualState(boolean keepVisualState)

    - #### getTridentIVEngineSelectBehavior

          public abstract java.lang.String getTridentIVEngineSelectBehavior()

    - #### setTridentIVEngineSelectBehavior

          public abstract void setTridentIVEngineSelectBehavior(java.lang.String tridentIVEngineSelectBehavior)

    - #### isTrimOverlayedElements

          public abstract boolean isTrimOverlayedElements()

    - #### setTrimOverlayedElements

          public abstract void setTrimOverlayedElements(boolean trim)

    - #### getDomElementAttachment

          public abstract java.lang.String getDomElementAttachment()

    - #### setDomElementAttachment

          public abstract void setDomElementAttachment(java.lang.String domElementAttachment)

    - #### isOverlapEmbedObjects

          public abstract boolean isOverlapEmbedObjects()

    - #### setOverlapEmbedObjects

          public abstract void setOverlapEmbedObjects(boolean overlapEmbedObjects)

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.component.UIComponentBase`

    - #### getShadowStyle

          public java.lang.String getShadowStyle()

    - #### getVisualOptions

          public java.lang.Object getVisualOptions()

    - #### setVisualOptions

          public void setVisualOptions(java.lang.Object visualOptions)

    - #### setResizeable

          public void setResizeable(boolean __resizeable)

      if "true" there is possibility to change component size Setter for resizeable
      Parameters:
        `resizeable` - - new value

    - #### isResizeable

          public boolean isResizeable()

      if "true" there is possibility to change component size Getter for resizeable
      Returns:
        resizeable value from local variable or value bindings

    - #### prepareVisualOptions

          protected java.util.Map<java.lang.String,java.lang.Object> prepareVisualOptions(java.lang.Object value)

Copyright © 2014. All Rights Reserved.